Debian Bug report logs - #233883
xterm: slow to respond to session management events [FIXED in XTerm #188]

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Wolfgang Pfeiffer <roto@gmx.net>

Date: Fri, 20 Feb 2004 15:33:01 UTC

Severity: normal

Tags: fixed-upstream, upstream

Fixed in version xfree86/4.3.0.dfsg.1-5

Done: fabbione@fabbione.net (Fabio M. Di Nitto)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#233883; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Wolfgang Pfeiffer <roto@gmx.net>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Wolfgang Pfeiffer <roto@gmx.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xterm prevents logout on Gnome-2.4.1
Date: Fri, 20 Feb 2004 16:24:09 +0100
Package: xterm
Version: 4.3.0-2
Severity: normal


On Gnome, after clicking the "Log Out" button from the "Actions" menu
and after clicking "OK" on the GUI that appears ("Are you sure you
want to log out?") gnome is not able to close down the session to
another login screen as long one or more xterms are open:

I have to hover the mouse pointer over the xterms to make them
disappear: And only when they're exited Gnome closes down X to a new
login screen.

This behaviour does not happen, when other apps like Mozilla, Emacs
etc are running: Those are closed down appropriately by Gnome before
logging me out to an new login screen.

Just upgraded here from 2.4.22 to
2.4.24-ben1
drm-trunk-module-2.4.24-ben1
to see if it helps, but to no avail so far ...

TIA

Best Regards
Wolfgang

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (990, 'unstable')
Architecture: powerpc (ppc)
Kernel: Linux 2.4.24-ben1
Locale: LANG=C, LC_CTYPE=C

Versions of packages xterm depends on:
ii  libc6                     2.3.2.ds1-11   GNU C Library: Shared libraries an
ii  libexpat1                 1.95.6-6       XML parsing C library - runtime li
ii  libfontconfig1            2.2.1-14       generic font configuration library
ii  libfreetype6              2.1.7-2        FreeType 2 font engine, shared lib
ii  libice6                   4.3.0-2        Inter-Client Exchange library
ii  libncurses5               5.3.20030719-5 Shared libraries for terminal hand
ii  libsm6                    4.3.0-2        X Window System Session Management
ii  libxaw7                   4.3.0-2        X Athena widget set library
ii  libxext6                  4.3.0-2        X Window System miscellaneous exte
ii  libxft2                   2.1.2-5        FreeType-based font drawing librar
ii  libxmu6                   4.3.0-2        X Window System miscellaneous util
ii  libxpm4                   4.3.0-2        X pixmap library
pi  libxrender1               0.8.3-5        X Rendering Extension client libra
ii  libxt6                    4.3.0-2        X Toolkit Intrinsics
ii  xlibs                     4.3.0-2        X Window System client libraries m
ii  xlibs-data                4.3.0-2        X Window System client data

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#233883; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Wolfgang Pfeiffer <roto@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 233883@bugs.debian.org (full text, mbox):

From: Wolfgang Pfeiffer <roto@gmx.net>
To: 233883@bugs.debian.org
Subject: Re: xterm prevents logout on Gnome-2.4.1
Date: Fri, 20 Feb 2004 17:13:03 +0100
On Fri, 2004-02-20 at 16:24, Wolfgang Pfeiffer wrote:
> Package: xterm
> Version: 4.3.0-2
> Severity: normal
> 
> 
> On Gnome, after clicking the "Log Out" button from the "Actions" menu
> and after clicking "OK" on the GUI that appears ("Are you sure you
> want to log out?") gnome is not able to close down the session to
> another login screen as long one or more xterms are open:
> 
> I have to hover the mouse pointer over the xterms to make them
> disappear: And only when they're exited Gnome closes down X to a new
> login screen.
> 
> This behaviour does not happen, when other apps like Mozilla, Emacs
> etc are running: Those are closed down appropriately by Gnome before
> logging me out to an new login screen.

Better: I didn't realise so far any other app preventing Gnome from
restarting X.

> 
> Just upgraded here from 2.4.22 to
> 2.4.24-ben1
> drm-trunk-module-2.4.24-ben1

Sorry about that:  drm-trunk-module-2.4.24-ben1
is the version name for the binary built on my machine.
The correct source version for it, according to the local dpkg output,
is
drm-trunk-module-src  2003.10.05-3

Sorry
Wolfgang
-- 
Profile, Links: http://profiles.yahoo.com/wolfgangpfeiffer




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#233883; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com (Thomas Dickey):
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 233883@bugs.debian.org (full text, mbox):

From: dickey@his.com (Thomas Dickey)
To: 233883@bugs.debian.org
Cc: dickey@his.com (Thomas Dickey)
Subject: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=233883
Date: Sat, 21 Feb 2004 21:39:38 -0500
>                       Debian Bug report logs - #233883
>                     xterm prevents logout on Gnome-2.4.1
I can see something like this on Redhat9.  Will look further.
-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#233883; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com (Thomas Dickey):
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 233883@bugs.debian.org (full text, mbox):

From: dickey@his.com (Thomas Dickey)
To: 233883@bugs.debian.org
Cc: dickey@his.com (Thomas Dickey)
Subject: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=233883
Date: Sun, 22 Feb 2004 20:34:48 -0500
>                       Debian Bug report logs - #233883
>                     xterm prevents logout on Gnome-2.4.1
It appears to be related to the session-management code.  If I enable it,
logout appears to work properly.  That is, in my XTerm app-defaults file,
adding this line:

*sessionMgt:	true

I hadn't noticed this before, since I generally close all of my windows
before logging out (and tend to reboot anyway).  Closing the windows is
needed since gnome gets easily confused about the windows from a previous
login...
-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#233883; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Wolfgang Pfeiffer <roto@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 233883@bugs.debian.org (full text, mbox):

From: Wolfgang Pfeiffer <roto@gmx.net>
To: 233883@bugs.debian.org
Subject: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=233883
Date: Mon, 23 Feb 2004 03:55:24 +0100
> Closing the windows is
> needed since gnome gets easily confused  
> about the windows from a previous
> login...

IIRC it wasn't needed here before the current version of xterm, or
whatever the reason for this issue is ...

Besides:
I didn't find any setting here on
sessionMgt
(man xterm is here man uxterm, and more or less unusable (23 lines
long... )

Thanks for having a look at it.

Regards
Wolfgang
-- 
Profile, Links: http://profiles.yahoo.com/wolfgangpfeiffer




Message sent on to Wolfgang Pfeiffer <roto@gmx.net>:
Bug#233883. Full text and rfc822 format available.

Message #28 received at 233883-submitter@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: 233883-submitter@bugs.debian.org
Subject: Re: Bug#233883: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=233883
Date: Sun, 22 Feb 2004 23:22:32 -0500
[Message part 1 (text/plain, inline)]
On Mon, Feb 23, 2004 at 03:55:24AM +0100, Wolfgang Pfeiffer wrote:
> > Closing the windows is
> > needed since gnome gets easily confused  
> > about the windows from a previous
> > login...
> 
> IIRC it wasn't needed here before the current version of xterm, or
> whatever the reason for this issue is ...
> 
> Besides:
> I didn't find any setting here on
> sessionMgt
> (man xterm is here man uxterm, and more or less unusable (23 lines
> long... )
> 
> Thanks for having a look at it.

We're off-topic for the bug, but when I "man xterm", I get the manpage I
expect.  Same for "man uxterm".

% /usr/sbin/update-alternatives --display x-terminal-emulator
x-terminal-emulator - status is manual.
 link currently points to /usr/X11R6/bin/xterm
/usr/X11R6/bin/xterm - priority 20
 slave x-terminal-emulator.1.gz: /usr/X11R6/man/man1/xterm.1x.gz
/usr/X11R6/bin/uxterm - priority 30
 slave x-terminal-emulator.1.gz: /usr/X11R6/man/man1/uxterm.1x.gz
/usr/bin/gnome-terminal.wrapper - priority 20
 slave x-terminal-emulator.1.gz: /usr/share/man/man1/gnome-terminal.1.gz
/usr/bin/konsole - priority 20
Current `best' version is /usr/X11R6/bin/uxterm.

-- 
G. Branden Robinson                |      Intellectual property is neither
Debian GNU/Linux                   |      intellectual nor property.
branden@debian.org                 |      Discuss.
http://people.debian.org/~branden/ |      -- Linda Richman
[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#233883; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Wolfgang Pfeiffer <roto@gmx.net>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #33 received at 233883-quiet@bugs.debian.org (full text, mbox):

From: Wolfgang Pfeiffer <roto@gmx.net>
To: Branden Robinson <branden@debian.org>, 233883-quiet@bugs.debian.org
Subject: Re: Bug#233883: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=233883
Date: Mon, 23 Feb 2004 13:31:22 +0100
On Mon, 2004-02-23 at 05:22, Branden Robinson wrote:
> On Mon, Feb 23, 2004 at 03:55:24AM +0100, Wolfgang Pfeiffer wrote:
> > > Closing the windows is
> > > needed since gnome gets easily confused  
> > > about the windows from a previous
> > > login...
> > 
> > IIRC it wasn't needed here before the current version of xterm, or
> > whatever the reason for this issue is ...
> > 
> > Besides:
> > I didn't find any setting here on
> > sessionMgt
> > (man xterm is here man uxterm, and more or less unusable (23 lines
> > long... )
> > 
> > Thanks for having a look at it.
> 
> We're off-topic for the bug, but when I "man xterm", I get the manpage I
> expect.  Same for "man uxterm".
> 
> % /usr/sbin/update-alternatives --display x-terminal-emulator
> x-terminal-emulator - status is manual.
>  link currently points to /usr/X11R6/bin/xterm
> /usr/X11R6/bin/xterm - priority 20
>  slave x-terminal-emulator.1.gz: /usr/X11R6/man/man1/xterm.1x.gz
> /usr/X11R6/bin/uxterm - priority 30
>  slave x-terminal-emulator.1.gz: /usr/X11R6/man/man1/uxterm.1x.gz
> /usr/bin/gnome-terminal.wrapper - priority 20
>  slave x-terminal-emulator.1.gz: /usr/share/man/man1/gnome-terminal.1.gz
> /usr/bin/konsole - priority 20
> Current `best' version is /usr/X11R6/bin/uxterm.

Here:

$ /usr/sbin/update-alternatives --display x-terminal-emulator
x-terminal-emulator - status is auto.
 link currently points to /usr/X11R6/bin/uxterm
/usr/X11R6/bin/xterm - priority 20
 slave x-terminal-emulator.1.gz: /usr/X11R6/man/man1/xterm.1x.gz
/usr/X11R6/bin/uxterm - priority 30
 slave x-terminal-emulator.1.gz: /usr/X11R6/man/man1/uxterm.1x.gz
/usr/bin/Eterm - priority 10
 slave x-terminal-emulator.1.gz: /usr/share/man/man1/Eterm.1.gz
/usr/bin/gnome-terminal.wrapper - priority 20
 slave x-terminal-emulator.1.gz: /usr/share/man/man1/gnome-terminal.1.gz
Current `best' version is /usr/X11R6/bin/uxterm.

Bizarre:
As said: I see "man uxterm" when I "man xterm"

$ ls -l /usr/X11R6/bin/uxterm /usr/X11R6/bin/xterm 
-rwxr-xr-x    1 root     root         1098 Feb 18 10:46 /usr/X11R6/bin/uxterm
-rwxr-sr-x    1 root     utmp       252380 Feb 18 10:54 /usr/X11R6/bin/xterm

$ ls -l /usr/X11R6/man/man1/uxterm.1x.gz /usr/X11R6/man/man1/xterm.1x.gz
-rw-r--r--    1 root     root         1022 Feb 18 10:51 /usr/X11R6/man/man1/uxterm.1x.gz
-rw-r--r--    1 root     root        32310 Feb 18 10:50 /usr/X11R6/man/man1/xterm.1x.gz

And when I 
man  /usr/X11R6/man/man1/xterm.1x.gz
I get the full "man xterm",  2745 lines long, something that's different
from what I get when I "man uxterm"

And here comes the funny part:

:$ ls -l `which xterm`
-rwxr-sr-x    1 root     utmp       252380 Feb 18 10:54 /usr/bin/X11/xterm

So it looks as if I had 2 xterm executables here. No links, AFAIKS.

It seems I upgraded/installed xterm on Feb 19:
$ ls -lt -c /var/lib/dpkg/info/ | grep list | grep xterm
-rw-r--r--    1 root     root          846 Feb 19 18:39 xterm.list

So my guess is something went wrong at the time of this install ... and
maybe Gnome is getting confused with two xterm executables now ... not
being sure on that ...

I'll have a look at it.

Thanks for taking care.

Best Regards
Wolfgang
-- 
Profile, Links: http://profiles.yahoo.com/wolfgangpfeiffer




Message sent on to Wolfgang Pfeiffer <roto@gmx.net>:
Bug#233883. Full text and rfc822 format available.

Message #36 received at 233883-submitter@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: 233883-submitter@bugs.debian.org
Subject: Re: Bug#233883: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=233883
Date: Mon, 23 Feb 2004 11:17:33 -0500
[Message part 1 (text/plain, inline)]
On Mon, Feb 23, 2004 at 01:31:22PM +0100, Wolfgang Pfeiffer wrote:
> Here:
> 
> $ /usr/sbin/update-alternatives --display x-terminal-emulator
> x-terminal-emulator - status is auto.
>  link currently points to /usr/X11R6/bin/uxterm
> /usr/X11R6/bin/xterm - priority 20
>  slave x-terminal-emulator.1.gz: /usr/X11R6/man/man1/xterm.1x.gz
> /usr/X11R6/bin/uxterm - priority 30
>  slave x-terminal-emulator.1.gz: /usr/X11R6/man/man1/uxterm.1x.gz
> /usr/bin/Eterm - priority 10
>  slave x-terminal-emulator.1.gz: /usr/share/man/man1/Eterm.1.gz
> /usr/bin/gnome-terminal.wrapper - priority 20
>  slave x-terminal-emulator.1.gz: /usr/share/man/man1/gnome-terminal.1.gz
> Current `best' version is /usr/X11R6/bin/uxterm.
> 
> Bizarre:
> As said: I see "man uxterm" when I "man xterm"
> 
> $ ls -l /usr/X11R6/bin/uxterm /usr/X11R6/bin/xterm 
> -rwxr-xr-x    1 root     root         1098 Feb 18 10:46 /usr/X11R6/bin/uxterm
> -rwxr-sr-x    1 root     utmp       252380 Feb 18 10:54 /usr/X11R6/bin/xterm
> 
> $ ls -l /usr/X11R6/man/man1/uxterm.1x.gz /usr/X11R6/man/man1/xterm.1x.gz
> -rw-r--r--    1 root     root         1022 Feb 18 10:51 /usr/X11R6/man/man1/uxterm.1x.gz
> -rw-r--r--    1 root     root        32310 Feb 18 10:50 /usr/X11R6/man/man1/xterm.1x.gz
> 
> And when I 
> man  /usr/X11R6/man/man1/xterm.1x.gz
> I get the full "man xterm",  2745 lines long, something that's different
> from what I get when I "man uxterm"
> 
> And here comes the funny part:
> 
> :$ ls -l `which xterm`
> -rwxr-sr-x    1 root     utmp       252380 Feb 18 10:54 /usr/bin/X11/xterm
> 
> So it looks as if I had 2 xterm executables here. No links, AFAIKS.
> 
> It seems I upgraded/installed xterm on Feb 19:
> $ ls -lt -c /var/lib/dpkg/info/ | grep list | grep xterm
> -rw-r--r--    1 root     root          846 Feb 19 18:39 xterm.list
> 
> So my guess is something went wrong at the time of this install ... and
> maybe Gnome is getting confused with two xterm executables now ... not
> being sure on that ...
> 
> I'll have a look at it.
> 
> Thanks for taking care.

You might be experiencing the following bug, already filed:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=204249

-- 
G. Branden Robinson                |    There is no housing shortage in
Debian GNU/Linux                   |    Lincoln today -- just a rumor that
branden@debian.org                 |    is put about by people who have
http://people.debian.org/~branden/ |    nowhere to live.    -- G. L. Murfin
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#233883; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com (Thomas Dickey):
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #41 received at 233883@bugs.debian.org (full text, mbox):

From: dickey@his.com (Thomas Dickey)
To: 233883@bugs.debian.org
Cc: dickey@his.com (Thomas Dickey)
Subject: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=233883
Date: Mon, 23 Feb 2004 17:10:44 -0500
>                       Debian Bug report logs - #233883
>                     xterm prevents logout on Gnome-2.4.1
...
>From: Wolfgang Pfeiffer <roto@gmx.net>
>IIRC it wasn't needed here before the current version of xterm, or
>whatever the reason for this issue is ...

I've some more time tonight & will see if it seems to be due to one of
my changes (sessonMgt dates from October 2002, so it's not that recent).
Since I can reproduce it easily, it's got my attention.
-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#233883; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com (Thomas Dickey):
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #46 received at 233883@bugs.debian.org (full text, mbox):

From: dickey@his.com (Thomas Dickey)
To: 233883@bugs.debian.org
Cc: dickey@his.com (Thomas Dickey)
Subject: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=233883
Date: Mon, 23 Feb 2004 20:34:09 -0500
>                       Debian Bug report logs - #233883
>                     xterm prevents logout on Gnome-2.4.1
The bug I'm seeing on Redhat 9 may be related - I can't tell.  Comparing
different versions of xterm, I can sometimes get it to hang with xterm #184,
but haven't gotten it to hang with #183.  But essentially the only difference
between those is the way I'm using the configure script to find fontconfig.
And in my tests, I'm not using the related code.  Session-management hasn't
been touched in quite a while - but it seems to be related.
-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net



Information stored:
Bug#233883; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Wolfgang Pfeiffer <roto@gmx.net>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #51 received at 233883-quiet@bugs.debian.org (full text, mbox):

From: Wolfgang Pfeiffer <roto@gmx.net>
To: Branden Robinson <branden@debian.org>, 233883-quiet@bugs.debian.org
Subject: Re: Bug#233883: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=233883
Date: Sun, 07 Mar 2004 16:18:04 +0100
On Mon, 2004-02-23 at 17:17, Branden Robinson wrote:
> On Mon, Feb 23, 2004 at 01:31:22PM +0100, Wolfgang Pfeiffer wrote:
> > Here:
> > 
> > $ /usr/sbin/update-alternatives --display x-terminal-emulator
> > x-terminal-emulator - status is auto.
> >  link currently points to /usr/X11R6/bin/uxterm
> > /usr/X11R6/bin/xterm - priority 20
> >  slave x-terminal-emulator.1.gz: /usr/X11R6/man/man1/xterm.1x.gz
> > /usr/X11R6/bin/uxterm - priority 30
> >  slave x-terminal-emulator.1.gz: /usr/X11R6/man/man1/uxterm.1x.gz
> > /usr/bin/Eterm - priority 10
> >  slave x-terminal-emulator.1.gz: /usr/share/man/man1/Eterm.1.gz
> > /usr/bin/gnome-terminal.wrapper - priority 20
> >  slave x-terminal-emulator.1.gz: /usr/share/man/man1/gnome-terminal.1.gz
> > Current `best' version is /usr/X11R6/bin/uxterm.
> > 
> > Bizarre:
> > As said: I see "man uxterm" when I "man xterm"
> > 
> > $ ls -l /usr/X11R6/bin/uxterm /usr/X11R6/bin/xterm 
> > -rwxr-xr-x    1 root     root         1098 Feb 18 10:46 /usr/X11R6/bin/uxterm
> > -rwxr-sr-x    1 root     utmp       252380 Feb 18 10:54 /usr/X11R6/bin/xterm
> > 
> > $ ls -l /usr/X11R6/man/man1/uxterm.1x.gz /usr/X11R6/man/man1/xterm.1x.gz
> > -rw-r--r--    1 root     root         1022 Feb 18 10:51 /usr/X11R6/man/man1/uxterm.1x.gz
> > -rw-r--r--    1 root     root        32310 Feb 18 10:50 /usr/X11R6/man/man1/xterm.1x.gz
> > 
> > And when I 
> > man  /usr/X11R6/man/man1/xterm.1x.gz
> > I get the full "man xterm",  2745 lines long, something that's different
> > from what I get when I "man uxterm"
> > 
> > And here comes the funny part:
> > 
> > :$ ls -l `which xterm`
> > -rwxr-sr-x    1 root     utmp       252380 Feb 18 10:54 /usr/bin/X11/xterm
> > 
> > So it looks as if I had 2 xterm executables here. No links, AFAIKS.
> > 
> > It seems I upgraded/installed xterm on Feb 19:
> > $ ls -lt -c /var/lib/dpkg/info/ | grep list | grep xterm
> > -rw-r--r--    1 root     root          846 Feb 19 18:39 xterm.list
> > 
> > So my guess is something went wrong at the time of this install ... and
> > maybe Gnome is getting confused with two xterm executables now ... not
> > being sure on that ...
> > 
> > I'll have a look at it.
> > 
> > Thanks for taking care.
> 
> You might be experiencing the following bug, already filed:
> 
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=204249

It didn't help me.

Today I got a new xterm version, man-db: no changes:

xterm still prevents logging out as described earlier, 'man xterm' still
starts "man uxterm"

COLUMNS=152 dpkg -l | egrep "(xterm|man-db)"
ii  man-db                           2.4.2-12                         The on-line manual pager
ii  xterm                            4.3.0-5                          X terminal emulator

ls -lt -c /var/lib/dpkg/info/ | grep list | egrep "(xterm|man-db)"
-rw-r--r--    1 root     root          846 Mar  7 14:17 xterm.list
-rw-r--r--    1 root     root         4155 Mar  7 14:14 man-db.list

Best Regards
Wolfgang
-- 
Profile, Links: http://profiles.yahoo.com/wolfgangpfeiffer




Tags added: help Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Wolfgang Pfeiffer <roto@gmx.net>:
Bug#233883. Full text and rfc822 format available.

Message #58 received at 233883-submitter@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: 233883-submitter@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#233883: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=233883
Date: Tue, 6 Apr 2004 04:07:34 -0500
[Message part 1 (text/plain, inline)]
tag 233883 + help
retitle 233883 xterm: xterm windows prevent logout on GNOME 2.4.1
thanks

On Sun, Mar 07, 2004 at 04:18:04PM +0100, Wolfgang Pfeiffer wrote:
> On Mon, 2004-02-23 at 17:17, Branden Robinson wrote:
> > You might be experiencing the following bug, already filed:
> > 
> > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=204249
> 
> It didn't help me.
> 
> Today I got a new xterm version, man-db: no changes:
> 
> xterm still prevents logging out as described earlier, 'man xterm' still
> starts "man uxterm"
> 
> COLUMNS=152 dpkg -l | egrep "(xterm|man-db)"
> ii  man-db                           2.4.2-12                         The on-line manual pager

Well, that's not a new enough version.

  man-db (2.4.2-13) unstable; urgency=medium

    * When sorting located man pages for display, sort by pure section, then
      id (real page, symlink, whatis reference, etc.), then extended section,
      rather than the previous ordering of extended section then id. This
      works around the worst effects of #204249, in which changing a
      cross-hierarchy man page alternative can cause man to get the display
      order wrong.

   -- Colin Watson <cjwatson@debian.org>  Mon,  8 Mar 2004 00:23:21 +0000

I don't think the manpage problem has anything to do with the
can't-logout problem.

In any case, I'm stumped on the latter.  Tagging the bug accordingly.

-- 
G. Branden Robinson                |    Religion is regarded by the common
Debian GNU/Linux                   |    people as true, by the wise as
branden@debian.org                 |    false, and by the rulers as useful.
http://people.debian.org/~branden/ |    -- Lucius Annaeus Seneca
[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#233883; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Wolfgang Pfeiffer <roto@gmx.net>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #63 received at 233883-quiet@bugs.debian.org (full text, mbox):

From: Wolfgang Pfeiffer <roto@gmx.net>
To: Branden Robinson <branden@debian.org>, 233883-quiet@bugs.debian.org
Subject: Re: Bug#233883: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=233883
Date: Wed, 07 Apr 2004 00:43:18 +0200
Hi Branden

Thanks for your mail.

The most important first:

The can't-logout-if-xterm-is-running problem is probably some Gnome
problem:

I just stopped gdm/Gnome, started fvwm instead of Gnome with 'startx'
from a console, opened an xterm, Eterm and an xterm (Unicode) there, and
then logged out without any problem from fvwm/X. No delays any more when
trying to log out. No problems on FVWM in that respect.

On the situation on Gnome (49), on Debian/unstable:
In the meantime when I try to log out from a Gnome session via the "Log
Out" button from the gnome menu, with xterms open, it takes about 3 or 4
minutes until logout. I don't have to do anything for this logout to
happen: No hovering over the xterms is necessary to make them disappear.
All I have to do is sit and wait for about 3 or 4 minutes in front of an
X session after clicking the logout button until I get logged out from
this Gnome X.

But I still can get the Gnome logout faster if I hover the mouse over
the xterms -- it seems this is still what I wrote about in one of my
previous mails on the subject. 

Second:
In the meantime 'man xterm' starts the correct man page on Gnome and
fvwm. IIRC I aleady realised that some time ago after my last bugreport
to 
<http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=233883>

Branden, provided my guess is right and this logout issue is a Gnome
one: what's the correct way to proceed now? Forward this mail to Gnome
bug reports? If you think this makes sense you can forward this mail to
the Gnome bug reports page. Just Cc me please, if possible.

Thanks for your time.
And Sorry for realising the FVWM trick a bit late: I already had the
idea some time ago, but simply forgot about it.

Best Regards
Wolfgang

On Tue, 2004-04-06 at 11:07, Branden Robinson wrote: 
> tag 233883 + help
> retitle 233883 xterm: xterm windows prevent logout on GNOME 2.4.1
> thanks
> 
> On Sun, Mar 07, 2004 at 04:18:04PM +0100, Wolfgang Pfeiffer wrote:
> > On Mon, 2004-02-23 at 17:17, Branden Robinson wrote:
> > > You might be experiencing the following bug, already filed:
> > > 
> > > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=204249
> > 
> > It didn't help me.
> > 
> > Today I got a new xterm version, man-db: no changes:
> > 
> > xterm still prevents logging out as described earlier, 'man xterm' still
> > starts "man uxterm"
> > 
> > COLUMNS=152 dpkg -l | egrep "(xterm|man-db)"
> > ii  man-db                           2.4.2-12                         The on-line manual pager
> 
> Well, that's not a new enough version.
> 
>   man-db (2.4.2-13) unstable; urgency=medium
> 
>     * When sorting located man pages for display, sort by pure section, then
>       id (real page, symlink, whatis reference, etc.), then extended section,
>       rather than the previous ordering of extended section then id. This
>       works around the worst effects of #204249, in which changing a
>       cross-hierarchy man page alternative can cause man to get the display
>       order wrong.
> 
>    -- Colin Watson <cjwatson@debian.org>  Mon,  8 Mar 2004 00:23:21 +0000
> 
> I don't think the manpage problem has anything to do with the
> can't-logout problem.
> 
> In any case, I'm stumped on the latter.  Tagging the bug accordingly.
-- 
Profile, Links: http://profiles.yahoo.com/wolfgangpfeiffer




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#233883; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #68 received at 233883@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: 233883@bugs.debian.org
Subject: [dickey@radix.net: Re: Bug#233883: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=233883]
Date: Thu, 8 Apr 2004 13:05:07 -0500
[Message part 1 (text/plain, inline)]
Forwarding with permission of the author.

----- Forwarded message from Thomas Dickey <dickey@radix.net> -----

From: Thomas Dickey <dickey@radix.net>
To: Branden Robinson <branden@debian.org>
Subject: Re: Bug#233883: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=233883
Date: Tue, 6 Apr 2004 06:43:25 -0400 (EDT)
Message-Id: <200404061043.i36AhPCB001723@saltmine.radix.net>
User-Agent: tin/1.4.4-20000803 ("Vet for the Insane") (UNIX) (SunOS/5.8 (sun4u))
X-Spam-Status: No, hits=-4.9 required=4.0 tests=BAYES_00 autolearn=ham 
	version=2.63

In article <1HVxn-1Kc-35@gated-at.bofh.it> you wrote:

> tag 233883 + help
> retitle 233883 xterm: xterm windows prevent logout on GNOME 2.4.1

...

> I don't think the manpage problem has anything to do with the
> can't-logout problem.

> In any case, I'm stumped on the latter.  Tagging the bug accordingly.

The only thing that I saw that seemed to make a difference was the session
resource value.  But that's still a guess, since it didn't fail every time.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net

----- End forwarded message -----

-- 
G. Branden Robinson                |      There's no trick to being a
Debian GNU/Linux                   |      humorist when you have the whole
branden@debian.org                 |      government working for you.
http://people.debian.org/~branden/ |      -- Will Rogers
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `xterm' to `gnome-session'. Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Wolfgang Pfeiffer <roto@gmx.net>:
Bug#233883. Full text and rfc822 format available.

Message #75 received at 233883-submitter@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: 233883-submitter@bugs.debian.org, control@bugs.debian.org
Cc: gnome-session@packages.debian.org
Subject: Re: Bug#233883: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=233883
Date: Fri, 9 Apr 2004 18:03:44 -0500
[Message part 1 (text/plain, inline)]
reassign 233883 gnome-session
retitle 233883 gnome-session: very slow to shut down (checkpoint?) xterm windows
thanks

Wolfgang,

I am reassigning your bug to what I expect is the right package for a
GNOME-session-specific problem.

Thanks for following up!

On Wed, Apr 07, 2004 at 12:43:18AM +0200, Wolfgang Pfeiffer wrote:
> Hi Branden
> 
> Thanks for your mail.
> 
> The most important first:
> 
> The can't-logout-if-xterm-is-running problem is probably some Gnome
> problem:
> 
> I just stopped gdm/Gnome, started fvwm instead of Gnome with 'startx'
> from a console, opened an xterm, Eterm and an xterm (Unicode) there, and
> then logged out without any problem from fvwm/X. No delays any more when
> trying to log out. No problems on FVWM in that respect.
> 
> On the situation on Gnome (49), on Debian/unstable:
> In the meantime when I try to log out from a Gnome session via the "Log
> Out" button from the gnome menu, with xterms open, it takes about 3 or 4
> minutes until logout. I don't have to do anything for this logout to
> happen: No hovering over the xterms is necessary to make them disappear.
> All I have to do is sit and wait for about 3 or 4 minutes in front of an
> X session after clicking the logout button until I get logged out from
> this Gnome X.
> 
> But I still can get the Gnome logout faster if I hover the mouse over
> the xterms -- it seems this is still what I wrote about in one of my
> previous mails on the subject. 
> 
> Second:
> In the meantime 'man xterm' starts the correct man page on Gnome and
> fvwm. IIRC I aleady realised that some time ago after my last bugreport
> to 
> <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=233883>
> 
> Branden, provided my guess is right and this logout issue is a Gnome
> one: what's the correct way to proceed now? Forward this mail to Gnome
> bug reports? If you think this makes sense you can forward this mail to
> the Gnome bug reports page. Just Cc me please, if possible.
> 
> Thanks for your time.
> And Sorry for realising the FVWM trick a bit late: I already had the
> idea some time ago, but simply forgot about it.
> 
> Best Regards
> Wolfgang
> 
> On Tue, 2004-04-06 at 11:07, Branden Robinson wrote: 
> > tag 233883 + help
> > retitle 233883 xterm: xterm windows prevent logout on GNOME 2.4.1
> > thanks
> > 
> > On Sun, Mar 07, 2004 at 04:18:04PM +0100, Wolfgang Pfeiffer wrote:
> > > On Mon, 2004-02-23 at 17:17, Branden Robinson wrote:
> > > > You might be experiencing the following bug, already filed:
> > > > 
> > > > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=204249
> > > 
> > > It didn't help me.
> > > 
> > > Today I got a new xterm version, man-db: no changes:
> > > 
> > > xterm still prevents logging out as described earlier, 'man xterm' still
> > > starts "man uxterm"
> > > 
> > > COLUMNS=152 dpkg -l | egrep "(xterm|man-db)"
> > > ii  man-db                           2.4.2-12                         The on-line manual pager
> > 
> > Well, that's not a new enough version.
> > 
> >   man-db (2.4.2-13) unstable; urgency=medium
> > 
> >     * When sorting located man pages for display, sort by pure section, then
> >       id (real page, symlink, whatis reference, etc.), then extended section,
> >       rather than the previous ordering of extended section then id. This
> >       works around the worst effects of #204249, in which changing a
> >       cross-hierarchy man page alternative can cause man to get the display
> >       order wrong.
> > 
> >    -- Colin Watson <cjwatson@debian.org>  Mon,  8 Mar 2004 00:23:21 +0000
> > 
> > I don't think the manpage problem has anything to do with the
> > can't-logout problem.
> > 
> > In any case, I'm stumped on the latter.  Tagging the bug accordingly.
> -- 
> Profile, Links: http://profiles.yahoo.com/wolfgangpfeiffer
> 
> 
> 
> 
> -- 
> To UNSUBSCRIBE, email to debian-x-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> 

-- 
G. Branden Robinson                |    For every credibility gap, there is
Debian GNU/Linux                   |    a gullibility fill.
branden@debian.org                 |    -- Richard Clopton
http://people.debian.org/~branden/ |
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#233883; Package gnome-session. Full text and rfc822 format available.

Acknowledgement sent to Martin Stjernholm <mast@lysator.liu.se>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. Full text and rfc822 format available.

Message #80 received at 233883@bugs.debian.org (full text, mbox):

From: Martin Stjernholm <mast@lysator.liu.se>
To: 233883@bugs.debian.org
Subject: Re: gnome-session: very slow to shut down (checkpoint?) xterm windows
Date: Thu, 22 Apr 2004 03:43:16 +0200
I've also been bitten by the can't-logout-if-xterm-is-running problem
and started to downgrade to get rid of it (praised be
snapshot.debian.net). What I've discovered is this:

o  Downgrading gnome-session to 2.4.1-2 does not help.

o  Downgrading xterm to 4.2.1-16 helps.

o  Upgrading xterm to 4.3.0-2 reintroduces the problem. (Since the
   prereleases in experimental aren't tracked by snapshot.debian.net,
   I haven't been able to minimize it more than this.)

So something has happened in XFree86 4.3 that causes this bug. (Of
course, that doesn't really say whether the bug actually is in xterm
or in gnome-session.)

Anyway, I'm now keeping well away from 4.3 since it not only
introduces this but several other annoying bugs as well.



Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#233883; Package gnome-session. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com (Thomas Dickey):
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. Full text and rfc822 format available.

Message #85 received at 233883@bugs.debian.org (full text, mbox):

From: dickey@his.com (Thomas Dickey)
To: 233883@bugs.debian.org
Cc: dickey@his.com (Thomas Dickey)
Subject: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=233883
Date: Fri, 23 Apr 2004 20:47:48 -0400
>                       Debian Bug report logs - #233883
>       gnome-session: very slow to shut down (checkpoint?) xterm windows
...
Since I'm testing with gnome currently, this is noticeably very repeatable.
It's definitely related to the session-management code in xterm.  I can
see that it is really just in this one chunk of code (for xterm):

#if OPT_SESSION_MGT
	toplevel = XtOpenApplication(&app_con, my_class,
				     optionDescList,
				     XtNumber(optionDescList),
				     &argc, argv, fallback_resources,
				     sessionShellWidgetClass,
				     NULL, 0);
#else
	toplevel = XtAppInitialize(&app_con, my_class,
				   optionDescList,
				   XtNumber(optionDescList),
				   &argc, argv, fallback_resources,
				   NULL, 0);
#endif /* OPT_SESSION_MGT */

If the XtOpenApplication is called, xterm will hang, if XtAppInitialize
is called (the older version), it doesn't hang.  Essentially the difference
(according to the manpage) between the two is that the former calls
XtAppCreateShell (so it can handle session management).

A quick fix is to simply add a

	-DOPT_SESSION_MGT=0

when compiling xterm.  That seems to fix the current configuration.  (The
Redhat9 I was looking at before was not quite so insistent about holding
onto the xterm).
-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#233883; Package gnome-session. Full text and rfc822 format available.

Acknowledgement sent to dickey@radix.net:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. Full text and rfc822 format available.

Message #90 received at 233883@bugs.debian.org (full text, mbox):

From: dickey@radix.net
To: 233883@bugs.debian.org
Cc: dickey@saltmine.radix.net
Subject: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=233883
Date: Sun, 9 May 2004 14:10:35 -0400 (EDT)
                       Debian Bug report logs - #233883
>       gnome-session: very slow to shut down (checkpoint?) xterm windows
someone sent me a patch for xterm which seems to fix this problem (it'll
be in xterm patch #188).



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#233883; Package gnome-session. Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #95 received at 233883@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: dickey@radix.net, 233883@bugs.debian.org
Cc: Wolfgang Pfeiffer <roto@gmx.net>, xterm@bugs.debian.org
Subject: xterm and gnome-session, still
Date: Tue, 25 May 2004 08:56:11 +0200
[Message part 1 (text/plain, inline)]
tag 233883 fixed-upstream
tag 233883 - help
reassign 233883 xterm
thanks

Le dim 09/05/2004 à 20:10, dickey@radix.net a écrit :
>                        Debian Bug report logs - #233883
> >       gnome-session: very slow to shut down (checkpoint?) xterm windows
> someone sent me a patch for xterm which seems to fix this problem (it'll
> be in xterm patch #188).

Thanks for the fix.

XSF, could you please update 000_stolen_from_author_xterm.diff to
version #188 or #189? That should do the trick.
-- 
 .''`.           Josselin Mouette        /\./\
: :' :           josselin.mouette@ens-lyon.org
`. `'                        joss@debian.org
  `-  Debian GNU/Linux -- The power of freedom
[signature.asc (application/pgp-signature, inline)]

Tags added: fixed-upstream Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: help Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `gnome-session' to `xterm'. Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Wolfgang Pfeiffer <roto@gmx.net>:
Bug#233883. Full text and rfc822 format available.

Message #104 received at 233883-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: Josselin Mouette <joss@debian.org>
Cc: 233883-submitter@bugs.debian.org, Wolfgang Pfeiffer <roto@gmx.net>
Subject: Re: xterm and gnome-session, still
Date: Tue, 25 May 2004 04:48:49 -0400
[Message part 1 (text/plain, inline)]
On Tue, May 25, 2004 at 08:56:11AM +0200, Josselin Mouette wrote:
> tag 233883 fixed-upstream
> tag 233883 - help
> reassign 233883 xterm
> thanks
> 
> Le dim 09/05/2004 à 20:10, dickey@radix.net a écrit :
> >                        Debian Bug report logs - #233883
> > >       gnome-session: very slow to shut down (checkpoint?) xterm windows
> > someone sent me a patch for xterm which seems to fix this problem (it'll
> > be in xterm patch #188).
> 
> Thanks for the fix.
> 
> XSF, could you please update 000_stolen_from_author_xterm.diff to
> version #188 or #189? That should do the trick.

my impression is that Branden's intention is to update to current xterm
source at some time (soon).  At the moment, #189 looks stable (no new
bugs noticed past that point - the fixes I'm working on now seem to be
as in the session code: present in older versions).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Message sent on to Wolfgang Pfeiffer <roto@gmx.net>:
Bug#233883. Full text and rfc822 format available.

Message #107 received at 233883-submitter@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: Thomas Dickey <dickey@radix.net>
Cc: Josselin Mouette <joss@debian.org>, 233883-submitter@bugs.debian.org, Wolfgang Pfeiffer <roto@gmx.net>
Subject: Re: Bug#233883: xterm and gnome-session, still
Date: Fri, 28 May 2004 04:40:08 -0500
[Message part 1 (text/plain, inline)]
On Tue, May 25, 2004 at 04:48:49AM -0400, Thomas Dickey wrote:
> On Tue, May 25, 2004 at 08:56:11AM +0200, Josselin Mouette wrote:
> > tag 233883 fixed-upstream
> > tag 233883 - help
> > reassign 233883 xterm
> > thanks
> > 
> > Le dim 09/05/2004 à 20:10, dickey@radix.net a écrit :
> > >                        Debian Bug report logs - #233883
> > > >       gnome-session: very slow to shut down (checkpoint?) xterm windows
> > > someone sent me a patch for xterm which seems to fix this problem (it'll
> > > be in xterm patch #188).
> > 
> > Thanks for the fix.
> > 
> > XSF, could you please update 000_stolen_from_author_xterm.diff to
> > version #188 or #189? That should do the trick.
> 
> my impression is that Branden's intention is to update to current xterm
> source at some time (soon).  At the moment, #189 looks stable (no new
> bugs noticed past that point - the fixes I'm working on now seem to be
> as in the session code: present in older versions).

An update to XTerm #190 is planned, but the actual scheduling is up to
Fabio Massimo di Nitto, the package release manager.

-- 
G. Branden Robinson                |      We either learn from history or,
Debian GNU/Linux                   |      uh, well, something bad will
branden@debian.org                 |      happen.
http://people.debian.org/~branden/ |      -- Bob Church
[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#233883; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Wolfgang Pfeiffer <roto@gmx.net>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #112 received at 233883-quiet@bugs.debian.org (full text, mbox):

From: Wolfgang Pfeiffer <roto@gmx.net>
To: Branden Robinson <branden@debian.org>, 233883-quiet@bugs.debian.org
Cc: Josselin Mouette <joss@debian.org>, 233883-submitter@bugs.debian.org
Subject: Re: Bug#233883: xterm and gnome-session, still
Date: Sun, 30 May 2004 02:51:05 +0200
On Fri, 2004-05-28 at 11:40, Branden Robinson wrote:
> On Tue, May 25, 2004 at 04:48:49AM -0400, Thomas Dickey wrote:
> > On Tue, May 25, 2004 at 08:56:11AM +0200, Josselin Mouette wrote:
> > > tag 233883 fixed-upstream
> > > tag 233883 - help
> > > reassign 233883 xterm
> > > thanks
> > > 
> > > Le dim 09/05/2004  20:10, dickey@radix.net a crit :
> > > >                        Debian Bug report logs - #233883
> > > > >       gnome-session: very slow to shut down (checkpoint?) xterm windows
> > > > someone sent me a patch for xterm which seems to fix this problem (it'll
> > > > be in xterm patch #188).
> > > 
> > > Thanks for the fix.
> > > 
> > > XSF, could you please update 000_stolen_from_author_xterm.diff to
> > > version #188 or #189? That should do the trick.
> > 
> > my impression is that Branden's intention is to update to current xterm
> > source at some time (soon).  At the moment, #189 looks stable (no new
> > bugs noticed past that point - the fixes I'm working on now seem to be
> > as in the session code: present in older versions).
> 
> An update to XTerm #190 is planned, but the actual scheduling is up to
> Fabio Massimo di Nitto, the package release manager.

Some hours ago I found some xterm source: #190, as it seems, on (IIRC)
<ftp://invisible-island.net/xterm/xterm.tar.gz>

I compiled it on ppc/Titanium4. Played with it a bit this evening. No
problems, as it seems, when logging out of Gnome any more. Except the
very first time after the first compile. But after this first "accident"
(might be related to other Gnome stuff), logging in and out of Gnome,
without the need to close down xterms manually before the logout, worked
like a charm.

To make sure you know what I'm talking about, here's an excerpt from 
version.h 
from the source directory of the xterm above

-------------------------------------------
/* $XTermId: version.h,v 1.221 2004/05/26 01:19:55 tom Exp $ */
/* $XFree86: xc/programs/xterm/version.h,v 3.101 2004/05/26 01:19:55
dickey Exp $ */

/*
 * These definitions are used to build the string that's printed in
response to
 * "xterm -version", or embedded in "xterm -help".  It usually indicates
the
 * version of X to which this version of xterm has been built.  The
number in
 * parentheses is my patch number (T.Dickey).
 */
#define XTERM_PATCH   190

--------------------------------------------------------

Official Debian ppc/unstable doesn't have #190, yet, IINM.

Thanks to everyone involved. You'll hear from me if there are xterm
issues you might want to know about.

And if you please let me know in case you want to know more.

Nice weekend to everyone, and again:
Thanks a lot for your work. I'm glad xterm is running again without
problems here, as it seems. 

Best Regards
Wolfgang
-- 
Profile, links: http://profiles.yahoo.com/wolfgangpfeiffer




Message sent on to Wolfgang Pfeiffer <roto@gmx.net>:
Bug#233883. Full text and rfc822 format available.

Changed Bug title. Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags set to: upstream, fixed-upstream Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Wolfgang Pfeiffer <roto@gmx.net>:
Bug#233883. Full text and rfc822 format available.

Message #124 received at 233883-submitter@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: Wolfgang Pfeiffer <roto@gmx.net>
Cc: Josselin Mouette <joss@debian.org>, 233883-submitter@bugs.debian.org
Subject: Re: Bug#233883: xterm and gnome-session, still
Date: Mon, 31 May 2004 10:17:10 -0500
[Message part 1 (text/plain, inline)]
On Sun, May 30, 2004 at 02:51:05AM +0200, Wolfgang Pfeiffer wrote:
> Some hours ago I found some xterm source: #190, as it seems, on (IIRC)
> <ftp://invisible-island.net/xterm/xterm.tar.gz>
> 
> I compiled it on ppc/Titanium4. Played with it a bit this evening. No
> problems, as it seems, when logging out of Gnome any more. Except the
> very first time after the first compile.

At that time you might still have been running the previous xterm
executable.

Just FYI, XTerm #190 is scheduled to be in the next Debian package
release of XFree86.

-- 
G. Branden Robinson                |       If atheism is a religion, then
Debian GNU/Linux                   |       health is a disease.
branden@debian.org                 |       -- Clark Adams
http://people.debian.org/~branden/ |
[signature.asc (application/pgp-signature, inline)]

Reply sent to fabbione@fabbione.net (Fabio M. Di Nitto):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Wolfgang Pfeiffer <roto@gmx.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #129 received at 233883-close@bugs.debian.org (full text, mbox):

From: fabbione@fabbione.net (Fabio M. Di Nitto)
To: 233883-close@bugs.debian.org
Subject: Bug#233883: fixed in xfree86 4.3.0.dfsg.1-5
Date: Wed, 16 Jun 2004 16:02:39 -0400
Source: xfree86
Source-Version: 4.3.0.dfsg.1-5

We believe that the bug you reported is fixed in the latest version of
xfree86, which is due to be installed in the Debian FTP archive:

lbxproxy_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/lbxproxy_4.3.0.dfsg.1-5_i386.deb
libdps-dev_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libdps-dev_4.3.0.dfsg.1-5_i386.deb
libdps1-dbg_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libdps1-dbg_4.3.0.dfsg.1-5_i386.deb
libdps1_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libdps1_4.3.0.dfsg.1-5_i386.deb
libice-dev_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libice-dev_4.3.0.dfsg.1-5_i386.deb
libice6-dbg_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libice6-dbg_4.3.0.dfsg.1-5_i386.deb
libice6_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libice6_4.3.0.dfsg.1-5_i386.deb
libsm-dev_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libsm-dev_4.3.0.dfsg.1-5_i386.deb
libsm6-dbg_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libsm6-dbg_4.3.0.dfsg.1-5_i386.deb
libsm6_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libsm6_4.3.0.dfsg.1-5_i386.deb
libx11-6-dbg_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libx11-6-dbg_4.3.0.dfsg.1-5_i386.deb
libx11-6_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libx11-6_4.3.0.dfsg.1-5_i386.deb
libx11-dev_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libx11-dev_4.3.0.dfsg.1-5_i386.deb
libxaw6-dbg_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libxaw6-dbg_4.3.0.dfsg.1-5_i386.deb
libxaw6-dev_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libxaw6-dev_4.3.0.dfsg.1-5_i386.deb
libxaw6_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libxaw6_4.3.0.dfsg.1-5_i386.deb
libxaw7-dbg_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libxaw7-dbg_4.3.0.dfsg.1-5_i386.deb
libxaw7-dev_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libxaw7-dev_4.3.0.dfsg.1-5_i386.deb
libxaw7_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libxaw7_4.3.0.dfsg.1-5_i386.deb
libxext-dev_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libxext-dev_4.3.0.dfsg.1-5_i386.deb
libxext6-dbg_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libxext6-dbg_4.3.0.dfsg.1-5_i386.deb
libxext6_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libxext6_4.3.0.dfsg.1-5_i386.deb
libxft1-dbg_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libxft1-dbg_4.3.0.dfsg.1-5_i386.deb
libxft1_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libxft1_4.3.0.dfsg.1-5_i386.deb
libxi-dev_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libxi-dev_4.3.0.dfsg.1-5_i386.deb
libxi6-dbg_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libxi6-dbg_4.3.0.dfsg.1-5_i386.deb
libxi6_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libxi6_4.3.0.dfsg.1-5_i386.deb
libxmu-dev_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libxmu-dev_4.3.0.dfsg.1-5_i386.deb
libxmu6-dbg_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libxmu6-dbg_4.3.0.dfsg.1-5_i386.deb
libxmu6_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libxmu6_4.3.0.dfsg.1-5_i386.deb
libxmuu-dev_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libxmuu-dev_4.3.0.dfsg.1-5_i386.deb
libxmuu1-dbg_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libxmuu1-dbg_4.3.0.dfsg.1-5_i386.deb
libxmuu1_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libxmuu1_4.3.0.dfsg.1-5_i386.deb
libxp-dev_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libxp-dev_4.3.0.dfsg.1-5_i386.deb
libxp6-dbg_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libxp6-dbg_4.3.0.dfsg.1-5_i386.deb
libxp6_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libxp6_4.3.0.dfsg.1-5_i386.deb
libxpm-dev_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libxpm-dev_4.3.0.dfsg.1-5_i386.deb
libxpm4-dbg_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libxpm4-dbg_4.3.0.dfsg.1-5_i386.deb
libxpm4_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libxpm4_4.3.0.dfsg.1-5_i386.deb
libxrandr-dev_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libxrandr-dev_4.3.0.dfsg.1-5_i386.deb
libxrandr2-dbg_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libxrandr2-dbg_4.3.0.dfsg.1-5_i386.deb
libxrandr2_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libxrandr2_4.3.0.dfsg.1-5_i386.deb
libxt-dev_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libxt-dev_4.3.0.dfsg.1-5_i386.deb
libxt6-dbg_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libxt6-dbg_4.3.0.dfsg.1-5_i386.deb
libxt6_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libxt6_4.3.0.dfsg.1-5_i386.deb
libxtrap-dev_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libxtrap-dev_4.3.0.dfsg.1-5_i386.deb
libxtrap6-dbg_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libxtrap6-dbg_4.3.0.dfsg.1-5_i386.deb
libxtrap6_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libxtrap6_4.3.0.dfsg.1-5_i386.deb
libxtst-dev_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libxtst-dev_4.3.0.dfsg.1-5_i386.deb
libxtst6-dbg_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libxtst6-dbg_4.3.0.dfsg.1-5_i386.deb
libxtst6_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libxtst6_4.3.0.dfsg.1-5_i386.deb
libxv-dev_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libxv-dev_4.3.0.dfsg.1-5_i386.deb
libxv1-dbg_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libxv1-dbg_4.3.0.dfsg.1-5_i386.deb
libxv1_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/libxv1_4.3.0.dfsg.1-5_i386.deb
pm-dev_4.3.0.dfsg.1-5_all.deb
  to pool/main/x/xfree86/pm-dev_4.3.0.dfsg.1-5_all.deb
proxymngr_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/proxymngr_4.3.0.dfsg.1-5_i386.deb
twm_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/twm_4.3.0.dfsg.1-5_i386.deb
x-dev_4.3.0.dfsg.1-5_all.deb
  to pool/main/x/xfree86/x-dev_4.3.0.dfsg.1-5_all.deb
x-window-system-core_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/x-window-system-core_4.3.0.dfsg.1-5_i386.deb
x-window-system-dev_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/x-window-system-dev_4.3.0.dfsg.1-5_i386.deb
x-window-system_4.3.0.dfsg.1-5_all.deb
  to pool/main/x/xfree86/x-window-system_4.3.0.dfsg.1-5_all.deb
xbase-clients_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/xbase-clients_4.3.0.dfsg.1-5_i386.deb
xdm_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/xdm_4.3.0.dfsg.1-5_i386.deb
xfonts-100dpi-transcoded_4.3.0.dfsg.1-5_all.deb
  to pool/main/x/xfree86/xfonts-100dpi-transcoded_4.3.0.dfsg.1-5_all.deb
xfonts-100dpi_4.3.0.dfsg.1-5_all.deb
  to pool/main/x/xfree86/xfonts-100dpi_4.3.0.dfsg.1-5_all.deb
xfonts-75dpi-transcoded_4.3.0.dfsg.1-5_all.deb
  to pool/main/x/xfree86/xfonts-75dpi-transcoded_4.3.0.dfsg.1-5_all.deb
xfonts-75dpi_4.3.0.dfsg.1-5_all.deb
  to pool/main/x/xfree86/xfonts-75dpi_4.3.0.dfsg.1-5_all.deb
xfonts-base-transcoded_4.3.0.dfsg.1-5_all.deb
  to pool/main/x/xfree86/xfonts-base-transcoded_4.3.0.dfsg.1-5_all.deb
xfonts-base_4.3.0.dfsg.1-5_all.deb
  to pool/main/x/xfree86/xfonts-base_4.3.0.dfsg.1-5_all.deb
xfonts-cyrillic_4.3.0.dfsg.1-5_all.deb
  to pool/main/x/xfree86/xfonts-cyrillic_4.3.0.dfsg.1-5_all.deb
xfonts-scalable_4.3.0.dfsg.1-5_all.deb
  to pool/main/x/xfree86/xfonts-scalable_4.3.0.dfsg.1-5_all.deb
xfree86-common_4.3.0.dfsg.1-5_all.deb
  to pool/main/x/xfree86/xfree86-common_4.3.0.dfsg.1-5_all.deb
xfree86_4.3.0.dfsg.1-5.diff.gz
  to pool/main/x/xfree86/xfree86_4.3.0.dfsg.1-5.diff.gz
xfree86_4.3.0.dfsg.1-5.dsc
  to pool/main/x/xfree86/xfree86_4.3.0.dfsg.1-5.dsc
xfs_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/xfs_4.3.0.dfsg.1-5_i386.deb
xfwp_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/xfwp_4.3.0.dfsg.1-5_i386.deb
xlibmesa-dev_4.3.0.dfsg.1-5_all.deb
  to pool/main/x/xfree86/xlibmesa-dev_4.3.0.dfsg.1-5_all.deb
xlibmesa-dri-dbg_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/xlibmesa-dri-dbg_4.3.0.dfsg.1-5_i386.deb
xlibmesa-dri_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/xlibmesa-dri_4.3.0.dfsg.1-5_i386.deb
xlibmesa-gl-dbg_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/xlibmesa-gl-dbg_4.3.0.dfsg.1-5_i386.deb
xlibmesa-gl-dev_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/xlibmesa-gl-dev_4.3.0.dfsg.1-5_i386.deb
xlibmesa-gl_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/xlibmesa-gl_4.3.0.dfsg.1-5_i386.deb
xlibmesa-glu-dbg_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/xlibmesa-glu-dbg_4.3.0.dfsg.1-5_i386.deb
xlibmesa-glu-dev_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/xlibmesa-glu-dev_4.3.0.dfsg.1-5_i386.deb
xlibmesa-glu_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/xlibmesa-glu_4.3.0.dfsg.1-5_i386.deb
xlibmesa3-dbg_4.3.0.dfsg.1-5_all.deb
  to pool/main/x/xfree86/xlibmesa3-dbg_4.3.0.dfsg.1-5_all.deb
xlibmesa3_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/xlibmesa3_4.3.0.dfsg.1-5_i386.deb
xlibosmesa-dev_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/xlibosmesa-dev_4.3.0.dfsg.1-5_i386.deb
xlibosmesa4-dbg_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/xlibosmesa4-dbg_4.3.0.dfsg.1-5_i386.deb
xlibosmesa4_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/xlibosmesa4_4.3.0.dfsg.1-5_i386.deb
xlibs-data_4.3.0.dfsg.1-5_all.deb
  to pool/main/x/xfree86/xlibs-data_4.3.0.dfsg.1-5_all.deb
xlibs-dbg_4.3.0.dfsg.1-5_all.deb
  to pool/main/x/xfree86/xlibs-dbg_4.3.0.dfsg.1-5_all.deb
xlibs-dev_4.3.0.dfsg.1-5_all.deb
  to pool/main/x/xfree86/xlibs-dev_4.3.0.dfsg.1-5_all.deb
xlibs-pic_4.3.0.dfsg.1-5_all.deb
  to pool/main/x/xfree86/xlibs-pic_4.3.0.dfsg.1-5_all.deb
xlibs-static-dev_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/xlibs-static-dev_4.3.0.dfsg.1-5_i386.deb
xlibs-static-pic_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/xlibs-static-pic_4.3.0.dfsg.1-5_i386.deb
xlibs_4.3.0.dfsg.1-5_all.deb
  to pool/main/x/xfree86/xlibs_4.3.0.dfsg.1-5_all.deb
xmh_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/xmh_4.3.0.dfsg.1-5_i386.deb
xnest_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/xnest_4.3.0.dfsg.1-5_i386.deb
xprt_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/xprt_4.3.0.dfsg.1-5_i386.deb
xserver-common_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/xserver-common_4.3.0.dfsg.1-5_i386.deb
xserver-xfree86-dbg_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/xserver-xfree86-dbg_4.3.0.dfsg.1-5_i386.deb
xserver-xfree86_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/xserver-xfree86_4.3.0.dfsg.1-5_i386.deb
xspecs_4.3.0.dfsg.1-5_all.deb
  to pool/main/x/xfree86/xspecs_4.3.0.dfsg.1-5_all.deb
xterm_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/xterm_4.3.0.dfsg.1-5_i386.deb
xutils_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/xutils_4.3.0.dfsg.1-5_i386.deb
xvfb_4.3.0.dfsg.1-5_i386.deb
  to pool/main/x/xfree86/xvfb_4.3.0.dfsg.1-5_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 233883@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Fabio M. Di Nitto <fabbione@fabbione.net> (supplier of updated xfree86 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 16 Jun 2004 07:29:04 +0200
Source: xfree86
Binary: libx11-6-dbg libxtst6-dbg xserver-common xlibs-static-dev libxp6-dbg xbase-clients xlibmesa3-dbg libxtrap6-dbg xfonts-75dpi libxt6 libice6-dbg xmh libxaw6-dbg x-dev libxv1 libxext6-dbg xlibmesa-dev libxpm4 libxtst6 xlibmesa-gl-dev xfonts-cyrillic libx11-6 libsm6-dbg xlibs-pic xlibs-data x-window-system xfree86-common xlibmesa-dri xlibmesa3 libxv1-dbg libxrandr2 xlibmesa-glu libxaw7-dev xnest libxaw6 xterm libxp6 xlibmesa-dri-dbg libxrandr2-dbg libxmu6 xlibmesa-glu-dbg libx11-dev xlibs-static-pic libxpm4-dbg libxaw7-dbg libxmu6-dbg xlibmesa-glu-dev libxmuu-dev pm-dev libxext6 libxft1-dbg libxtst-dev libxv-dev libxp-dev twm x-window-system-dev libsm-dev xfonts-scalable libdps1-dbg libxmuu1-dbg xfwp libice6 libxmu-dev xlibs libdps-dev xserver-xfree86-dbg libxrandr-dev libsm6 xserver-xfree86 libdps1 proxymngr xfonts-base-transcoded libxaw6-dev lbxproxy x-window-system-core xutils xspecs libxtrap6 libice-dev libxt-dev xfs libxmuu1 libxi6-dbg xfonts-base xlibs-dbg libxpm-dev xlibmesa-gl xfonts-100dpi-transcoded libxtrap-dev xfonts-100dpi libxext-dev xfonts-75dpi-transcoded xlibosmesa4-dbg libxft1 xprt libxi-dev xlibosmesa-dev xlibosmesa4 xvfb libxaw7 xlibmesa-gl-dbg xdm xlibs-dev libxi6 libxt6-dbg
Architecture: source i386 all
Version: 4.3.0.dfsg.1-5
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Fabio M. Di Nitto <fabbione@fabbione.net>
Description: 
 lbxproxy   - Low Bandwidth X (LBX) proxy server
 libdps-dev - Display PostScript (DPS) client library development files
 libdps1    - Display PostScript (DPS) client library
 libdps1-dbg - Display PostScript (DPS) client library (unstripped)
 libice-dev - Inter-Client Exchange library development files
 libice6    - Inter-Client Exchange library
 libice6-dbg - Inter-Client Exchange library (unstripped)
 libsm-dev  - X Window System Session Management library development files
 libsm6     - X Window System Session Management library
 libsm6-dbg - X Window System Session Management library (unstripped)
 libx11-6   - X Window System protocol client library
 libx11-6-dbg - X Window System protocol client library (unstripped)
 libx11-dev - X Window System protocol client library development files
 libxaw6    - X Athena widget set library (version 6)
 libxaw6-dbg - X Athena widget set library (version 6, unstripped)
 libxaw6-dev - X Athena widget set library development files (version 6)
 libxaw7    - X Athena widget set library
 libxaw7-dbg - X Athena widget set library (unstripped)
 libxaw7-dev - X Athena widget set library development files
 libxext-dev - X Window System miscellaneous extension library development files
 libxext6   - X Window System miscellaneous extension library
 libxext6-dbg - X Window System miscellaneous extension library (unstripped)
 libxft1    - FreeType-based font drawing library for X (version 1)
 libxft1-dbg - FreeType-based font drawing library for X (version 1, unstripped)
 libxi-dev  - X Window System Input extension library development files
 libxi6     - X Window System Input extension library
 libxi6-dbg - X Window System Input extension library (unstripped)
 libxmu-dev - X Window System miscellaneous utility library development files
 libxmu6    - X Window System miscellaneous utility library
 libxmu6-dbg - X Window System miscellaneous utility library (unstripped)
 libxmuu-dev - lightweight X Window System miscellaneous utility library develop
 libxmuu1   - lightweight X Window System miscellaneous utility library
 libxmuu1-dbg - lightweight X Window System miscellaneous utility library (unstri
 libxp-dev  - X Window System printing extension library development files
 libxp6     - X Window System printing extension library
 libxp6-dbg - X Window System printing extension library (unstripped)
 libxpm-dev - X pixmap library development files
 libxpm4    - X pixmap library
 libxpm4-dbg - X pixmap library (unstripped)
 libxrandr-dev - X Window System Resize, Rotate and Reflection extension library d
 libxrandr2 - X Window System Resize, Rotate and Reflection extension library
 libxrandr2-dbg - X Window System Resize, Rotate and Reflection extension library (
 libxt-dev  - X Toolkit Intrinsics development files
 libxt6     - X Toolkit Intrinsics
 libxt6-dbg - X Toolkit Intrinsics (unstripped)
 libxtrap-dev - X Window System protocol-trapping extension library development f
 libxtrap6  - X Window System protocol-trapping extension library
 libxtrap6-dbg - X Window System protocol-trapping extension library (unstripped)
 libxtst-dev - X Window System event recording and testing extension library dev
 libxtst6   - X Window System event recording and testing extension library
 libxtst6-dbg - X Window System event recording and testing extension library (un
 libxv-dev  - X Window System video extension library development files
 libxv1     - X Window System video extension library
 libxv1-dbg - X Window System video extension library (unstripped)
 pm-dev     - proxy management protocol development files
 proxymngr  - X proxy services manager
 twm        - Tab window manager
 x-dev      - X protocol development files
 x-window-system - X Window System
 x-window-system-core - X Window System core components
 x-window-system-dev - X Window System development components
 xbase-clients - miscellaneous X clients
 xdm        - X display manager
 xfonts-100dpi - 100 dpi fonts for X
 xfonts-100dpi-transcoded - 100 dpi fonts for X (transcoded from ISO 10646-1)
 xfonts-75dpi - 75 dpi fonts for X
 xfonts-75dpi-transcoded - 75 dpi fonts for X (transcoded from ISO 10646-1)
 xfonts-base - standard fonts for X
 xfonts-base-transcoded - standard fonts for X (transcoded from ISO 10646-1)
 xfonts-cyrillic - Cyrillic fonts for X
 xfonts-scalable - scalable fonts for X
 xfree86-common - X Window System (XFree86) infrastructure
 xfs        - X font server
 xfwp       - X firewall proxy server
 xlibmesa-dev - XFree86 Mesa development libraries pseudopackage
 xlibmesa-dri - Mesa 3D graphics library modules [XFree86]
 xlibmesa-dri-dbg - Mesa 3D graphics library modules (unstripped) [XFree86]
 xlibmesa-gl - Mesa 3D graphics library [XFree86]
 xlibmesa-gl-dbg - Mesa 3D graphics library (unstripped) [XFree86]
 xlibmesa-gl-dev - Mesa 3D graphics library development files [XFree86]
 xlibmesa-glu - Mesa OpenGL utility library [XFree86]
 xlibmesa-glu-dbg - Mesa OpenGL utility library (unstripped) [XFree86]
 xlibmesa-glu-dev - Mesa OpenGL utility library development files [XFree86]
 xlibmesa3  - XFree86 Mesa libraries pseudopackage
 xlibmesa3-dbg - XFree86 Mesa unstripped libraries pseudopackage
 xlibosmesa-dev - Mesa off-screen rendering library development files [XFree86]
 xlibosmesa4 - Mesa off-screen rendering library [XFree86]
 xlibosmesa4-dbg - Mesa off-screen rendering library (unstripped) [XFree86]
 xlibs      - X Window System client libraries metapackage and XKB data
 xlibs-data - X Window System client data
 xlibs-dbg  - X Window System unstripped client libraries pseudopackage
 xlibs-dev  - X Window System client library development files pseudopackage
 xlibs-pic  - XFree86 static PIC libraries pseudopackage
 xlibs-static-dev - X Window System client library development files
 xlibs-static-pic - X Window System client extension library PIC archives
 xmh        - X interface to the MH mail system
 xnest      - nested X server
 xprt       - X print server (XFree86 version)
 xserver-common - files and utilities common to all X servers
 xserver-xfree86 - the XFree86 X server
 xserver-xfree86-dbg - the XFree86 X server (static version with debugging symbols)
 xspecs     - X protocol, extension, and library technical specifications
 xterm      - X terminal emulator
 xutils     - X Window System utility programs
 xvfb       - virtual framebuffer X server
Closes: 201737 223089 225526 229785 233883 237583 247387 249025 251307 251310 251509 251568 251681 251808 253484
Changes: 
 xfree86 (4.3.0.dfsg.1-5) unstable; urgency=low
 .
   Changes by Branden Robinson:
 .
   * Re-run debconf-updatepo to get templates.pot and po files in sync with
     debconf template changes in 4.3.0.dfsg.1-3.
 .
   * Update Greek debconf template translations (thanks, Konstantinos
     Margaritis).  (Closes: #251509)
 .
   * Grab updates to XKB data from XFree86 CVS, mostly from 2003-05, with a
     couple of later updates (none later than 2003-12-18).  Remove supserseded
     portion of patch #013.  Adjust offsets in patch #084.  Update MANIFEST
     files and ship new chicony, ibm/thinkpad, and omnibook XKB geometry files.
     + Small fixes in keyboard maps:
       - add an explicit type declaration in level3(ralt_switch)
           (Bugzilla #225, Siamus S Ciardhuain);
       - fix wrong group number in Russian keyboard map (Ivan Pascal).
     + Add missing letters to Ukrainian phonetic keyboard map (Andriy Rysin).
     + Add workaround for problems that arise when in multi-layout map
       different modifier keysyms share the same key (Ivan Pascal).
     + Small fix for Italian keyboard map (Sebastiano Vigna).
     + Update Tamil keyboard map (Thuraiappah Vaseeharan).
     + Fixes and updates for XKB keyboard maps:
       - add asciitilde to Swedish 'nodeadkeys' map (Bugzilla #291).
       - add map for true Romanian keyboard (Bugzilla #300, Manfred Pohler).
       - add EuroSign to "us_intl" keyboard map (Bugzilla #309, Paul Bolle).
       - fix some keys in Armenian 'phonetic' layout (Bugzilla #313, Ani).
       - add some geometry files (Alexander Pohoyda).
       - some cosmetic changes.
     + Fixes for XKB keyboard maps:
       - fix Meta, Super, Hyper keysyms interpretation
     + Fixes and updates for XKB keyboard maps:
       - Add to 'us' keymap backslash key that can be rewritten in other
         layouts (Bugzilla #976, B?rre Gaup).  (Closes: #237583)
 .
   * Grab latest version of XTerm (#190) from Thomas Dickey's website.  Check
     for license contamination from XFree86 CVS, and document findings in patch
     annotation (short story: there is none).  Resync patch #907.
     + Fix problem responding to session management events, e.g., which would
       make logging out very slow (patch by Eddy De Greef, Debian #233883).
       (Closes: #233883)
     + Do not call xim_real_init() if openIm resource is false (Debian #249025).
       (Closes: #249025)
 .
   * Update Czech debconf template translations (thanks, Mirsoslav Kure).
     (Closes: #251681)
 .
   * Attempt to mitigate serious DRI performance problems on Rage 128 chips by
     retrying CCE idle commands until the timeout is reached (thanks, Daniel
     Jacobowitz!).  (Closes: #223089)
 .
   * Grab missing part of updated XVideo (Xv) server-side implementation from
     XFree86 CVS as of 2003-04-30.  Update module loader to export the new
     symbols xf86XVCopyYUV12ToPacked and xf86XVCopyPacked to drivers.  Thanks
     to Michel Dänzer for diagnosing the problem.  (Closes: #251307)
 .
   * Add -s, --stdout option to dexconf, and document this new option in its
     manpage.  This option instructs dexconf to write the generated
     configuration file to standard output.
 .
   * Modify xvfb-run to create a temporary directory (respecting $TMPDIR) in
     addition to a temporary file for the X authority file; this way we do not
     have to worry about whether xauth(1x) manages the authority file in a
     secure fashion.  Also, if the user specifies an authority file to use, do
     not create it or remove it.  Document these changes in behavior in
     xvfb-run's manual page.
 .
   * Modify Xsession to always append to the error file, closing a temporary
     file race condition window if it has to fall back to using tempfile(1) to
     create an X session error file.  Because it always appends now, log the
     fact that the session has started, the username, and the date to the X
     session error file once it is successfully opened.  Document this change
     in behavior in Xsession(5).
 .
   * Update Xsession(5) manpage to document the file specifications of the X
     session "scriptlets" that are shipped by default.  Make other cosmetic and
     stylistic improvements.
 .
   * Reduce susceptibility of tempfile(1)-using maintainer scripts to temporary
     file race conditions by only appending to temporary files created by
     tempfile, instead of recreating them with the shell redirection operator.
     Make xserver-xfree86 postinst script use new --stdout option of dexconf,
     and increase versioned dependency of xserver-xfree86 and
     xserver-xfree86-dbg on xserver-common accordingly.  (Thanks to Andrew
     Suffield for pointing out this problem.)
 .
   * Fix XFree86 X server's PCI bus support code to be able to cope with both
     Linux 2.4 and Linux 2.6 styles of organization for /proc/bus/pci, checking
     for the 2.6 style first (thanks, Daniel Seyffer and Ciaran McCreesh).
     (Closes: #225526)
 .
   * Modify xserver-xfree86's config script to be more paranoid and mistrustful
     of Discover.  Store standard error from checking for the installed version
     of Discover instead of discarding it, and if this fails, report Discover's
     error output to the user and trap the failure instead of permitting it to
     break us.  (Thanks to Kevin B. McCarty for identifying the cause of these
     mysterious failures; see #251690 and #252348.  Thanks also to the libcurl2
     maintainer for the reminder that "The issue isn't whether you're
     paranoid...The issue is whether you're paranoid *enough*." [Max Peltier])
 .
   * Expand patch #104 to prevent 64-bit addressing modes from being used when
     they should not be on UltraSPARC Linux.
 .
   * Enhance xserver-xfree86's config script to be able to handle the new
     output format of lspci, which reports the PCI domain information as well.
     Retain support for the older lspci format, and if the output format isn't
     recognized at all, issue a warning and do not set a default answer for the
     BusID debconf question.  (Closes: #251568)
 .
   * Update xserver-xfree86's config script and debconf templates file to
     support "1280x1024 @ 60Hz" in the list of modes the user can select to
     configure the monitor characteristics using the "medium method".
 .
   * Fix and enhance Bus ID validation code in xserver-xfree86's config script
     to recognize all bus types and corresponding ID formats supported by
     XFree86 (ISA, PCI, SBUS).  Update template descriptions accordingly.
     (Closes: #251808)
 .
   * Add "bug" script for xlibmesa-dri package to attempt to automatically
     gather useful information when people report problems with DRI/3D
     acceleration.  Ship this script in the xlibmesa-dri package where
     reportbug will find it.  Thanks to Michel Dänzer for his suggestions.
 .
   * Fix bug in sessreg such that it assumes hostnames in utmp entries are
     unique in the last four characters.  Rectify this problem by hashing the
     entire hostname field from the utmp entry, so that we can tell unlike
     hostnames apart with much greater reliability.  There is still a
     possiblility of one hash collision in 2^32.  Apply patch by Maximiliano
     Curia and Damián Viano, using a public-domain hash algorithm by Bob
     Jenkins.  Thanks also to Margarita Manterola for helping to steer this
     ship into port.  (Closes: #229785)
 .
   * Fix problem with numbers and symbols being un-typable in the Lithuanian
     keymap (patch by Mantas Kriaučiūnas via Vytautas Lukenskas).
     (Closes: #247387)
 .
   * Fix a few problems with the U.K. Macintosh keyboard layout:
     + Map <TLDE> key to "section, plusminus".
     + Map <LSGT> key to "quoteleft, asciitilde".
     + Map AltGr+<AE02> to "EuroSign".
     + Include group(switch) symbols so that the already-defined mapping
       of AltGr+<AE03) to "numbersign" can be used.
     (Closes: #201737)
 .
   * Implement XkbOption "compose:caps" (make the Caps Lock key a compose key,
     a.k.a. Multi_key), courtesy of Andrew Suffield.  (Closes: #251310)
 .
   * Update Catalan debconf template translations (thanks, Ivan Vilata i
     Balaguer).  (Closes: #253484)
Files: 
 03a648e2f3e430e87990cd8372aaa4ce 2660 x11 optional xfree86_4.3.0.dfsg.1-5.dsc
 66f7481894003ba41b51214c3af8706d 3122094 x11 optional xfree86_4.3.0.dfsg.1-5.diff.gz
 40785603ee4b783c9457183a9a4f1ba2 222786 x11 optional lbxproxy_4.3.0.dfsg.1-5_i386.deb
 8c377d486b0503c49a92451c1a014155 258576 libs optional libdps1_4.3.0.dfsg.1-5_i386.deb
 ecf3836e37e448210f15dd50c08b0384 756802 libdevel extra libdps1-dbg_4.3.0.dfsg.1-5_i386.deb
 8f56fa1005b848aeb5a9529f2f67189f 316124 libdevel optional libdps-dev_4.3.0.dfsg.1-5_i386.deb
 56178062e1c656aebba3ee8bd5d5e437 175940 libs optional libice6_4.3.0.dfsg.1-5_i386.deb
 a2f48b4e487f6aaf17049a4feae0a9e6 260236 libdevel extra libice6-dbg_4.3.0.dfsg.1-5_i386.deb
 4f1835a87fe9ebf1fdb300b0431d4106 179260 libdevel optional libice-dev_4.3.0.dfsg.1-5_i386.deb
 4c7538a30842c1c8ee26d5a41e1f6264 153686 libs optional libsm6_4.3.0.dfsg.1-5_i386.deb
 d217fda481a435d1d6356b7dfa8e3700 179278 libdevel extra libsm6-dbg_4.3.0.dfsg.1-5_i386.deb
 0747d9eb86e42d327212785a3021edf3 150632 libdevel optional libsm-dev_4.3.0.dfsg.1-5_i386.deb
 6484f3cb7239928269228ba7bd849952 686154 libs optional libx11-6_4.3.0.dfsg.1-5_i386.deb
 a46d8b8160e74f15ff829a017a531d56 9585710 libdevel extra libx11-6-dbg_4.3.0.dfsg.1-5_i386.deb
 9eaddfb9afaac68ef975569ef91782f9 1336670 libdevel optional libx11-dev_4.3.0.dfsg.1-5_i386.deb
 deac208a61aa4642704b24f33e997412 257752 libs optional libxaw6_4.3.0.dfsg.1-5_i386.deb
 0d77c28dcd1dd2961ec9ad7a90382093 864350 libdevel extra libxaw6-dbg_4.3.0.dfsg.1-5_i386.deb
 7415a1effca942fe8cd7001f572d1cee 388044 libdevel extra libxaw6-dev_4.3.0.dfsg.1-5_i386.deb
 592f5a21b50ccb965b7b8568d626f15f 310846 libs optional libxaw7_4.3.0.dfsg.1-5_i386.deb
 f773d7ab201318ccc7d8539fd5bc95b6 999032 libdevel extra libxaw7-dbg_4.3.0.dfsg.1-5_i386.deb
 a2991bac3ffd3cff727db89b4f9d9e50 387924 libdevel optional libxaw7-dev_4.3.0.dfsg.1-5_i386.deb
 e1fba1a8a8fbcff845d6a3049bfa5667 160820 libs optional libxext6_4.3.0.dfsg.1-5_i386.deb
 536b56473522b27d778807e86495d936 481504 libdevel extra libxext6-dbg_4.3.0.dfsg.1-5_i386.deb
 9281122062ff291891b6b02a1251ed13 220730 libdevel optional libxext-dev_4.3.0.dfsg.1-5_i386.deb
 41861cd92287112269a49ceb31314a88 163128 libs optional libxft1_4.3.0.dfsg.1-5_i386.deb
 819bd903f82ef2a813767dd1b3c43deb 443532 libdevel extra libxft1-dbg_4.3.0.dfsg.1-5_i386.deb
 454a6edfbf4f38e7a23946125c219b05 152048 libs optional libxi6_4.3.0.dfsg.1-5_i386.deb
 02ecb13b12b741484e331cc87d26ca49 1139516 libdevel extra libxi6-dbg_4.3.0.dfsg.1-5_i386.deb
 f8d277c11cfa7776502eba94055b8c7a 205618 libdevel optional libxi-dev_4.3.0.dfsg.1-5_i386.deb
 01bda87b3f3cde2e53c3f643de7653de 182264 libs optional libxmu6_4.3.0.dfsg.1-5_i386.deb
 14ea81330662df6a5d3ad2033237dc00 633804 libdevel extra libxmu6-dbg_4.3.0.dfsg.1-5_i386.deb
 ffc8b2d4096d69409a1920348d0c7bae 192210 libdevel optional libxmu-dev_4.3.0.dfsg.1-5_i386.deb
 94881b7c34908d8013005de07df29989 144078 libs optional libxmuu1_4.3.0.dfsg.1-5_i386.deb
 6a9aab26121c5b40a610ebebb9a4429d 182410 libdevel extra libxmuu1-dbg_4.3.0.dfsg.1-5_i386.deb
 0938fdff204c033c0e6dcae0671130ba 136930 libdevel optional libxmuu-dev_4.3.0.dfsg.1-5_i386.deb
 bdc8f59b28abce582a55a88f7b2571bb 151190 libs optional libxp6_4.3.0.dfsg.1-5_i386.deb
 ccc50b074681630f53ad218f4b6b4d38 539210 libdevel extra libxp6-dbg_4.3.0.dfsg.1-5_i386.deb
 d786647e371e595a7bb4b26de22bdd60 152946 libdevel optional libxp-dev_4.3.0.dfsg.1-5_i386.deb
 be3935561812deb9015882b765d61f3c 166852 libs optional libxpm4_4.3.0.dfsg.1-5_i386.deb
 9120be935d1856fe86e89148c071a3d6 212276 libdevel extra libxpm4-dbg_4.3.0.dfsg.1-5_i386.deb
 4862226049ad41385968493603811fb6 165970 libdevel optional libxpm-dev_4.3.0.dfsg.1-5_i386.deb
 67800ad9a60e9359deb36a264e4971c9 143830 libs optional libxrandr2_4.3.0.dfsg.1-5_i386.deb
 8e3d84ead2abc036e6e98c7d5a6a4bfc 174366 libdevel extra libxrandr2-dbg_4.3.0.dfsg.1-5_i386.deb
 4f0bbbd8291bb58e159ae4330b126b90 144710 libdevel optional libxrandr-dev_4.3.0.dfsg.1-5_i386.deb
 ff25d97a88332a239d9ce05585b8f433 290214 libs optional libxt6_4.3.0.dfsg.1-5_i386.deb
 bb75c7b873b4cdf09faee48df66d666a 1505112 libdevel extra libxt6-dbg_4.3.0.dfsg.1-5_i386.deb
 0674281fbe627d5312013b5aaaad1a01 590386 libdevel optional libxt-dev_4.3.0.dfsg.1-5_i386.deb
 86455b73abac3ff60052349caea43e0d 152984 libs optional libxtrap6_4.3.0.dfsg.1-5_i386.deb
 3a98d4b04d925eebdabd9e1d72668257 384208 libdevel extra libxtrap6-dbg_4.3.0.dfsg.1-5_i386.deb
 582fbd1b99360869ac072b67a39990f6 158712 libdevel optional libxtrap-dev_4.3.0.dfsg.1-5_i386.deb
 dc665fe9500f3bc98b5d5028986df888 146850 libs optional libxtst6_4.3.0.dfsg.1-5_i386.deb
 5bae60b14ed22cf336dbb18652b7a381 210434 libdevel extra libxtst6-dbg_4.3.0.dfsg.1-5_i386.deb
 89142b00bfae7116ce769cfaacf08513 144440 libdevel optional libxtst-dev_4.3.0.dfsg.1-5_i386.deb
 37ad7ff17316a6b6bdbfc81057a9a7ad 144922 libs optional libxv1_4.3.0.dfsg.1-5_i386.deb
 e49f128cd96b0d42aa2bb1f86c873b66 177122 libdevel extra libxv1-dbg_4.3.0.dfsg.1-5_i386.deb
 b6dd3a32e68c4f7f13a70d67165ba953 164612 libdevel optional libxv-dev_4.3.0.dfsg.1-5_i386.deb
 c326d3c3fb2d5568cdaa6b3571772eeb 155174 x11 optional proxymngr_4.3.0.dfsg.1-5_i386.deb
 6b06c7d5d527413f61062513826c69db 237672 x11 optional twm_4.3.0.dfsg.1-5_i386.deb
 421cbfd232c9f307e19c3965ac256847 1916630 x11 optional xbase-clients_4.3.0.dfsg.1-5_i386.deb
 e6db99b349aa8e4f864e92af9b308334 272288 x11 optional xdm_4.3.0.dfsg.1-5_i386.deb
 ee35ef3f299441242727e530d31e3d6f 467244 x11 optional xfs_4.3.0.dfsg.1-5_i386.deb
 9043f75399a141c45a7185543332ec8e 154598 x11 optional xfwp_4.3.0.dfsg.1-5_i386.deb
 22826721985958b1a0116ceaf8ad4eb5 4975632 x11 optional xlibmesa-dri_4.3.0.dfsg.1-5_i386.deb
 0fe8198cb1fb49d34b8ac7bdf444754b 49447024 x11 optional xlibmesa-dri-dbg_4.3.0.dfsg.1-5_i386.deb
 31929f9c2b02e9b1228c9fc176cb7915 255874 libs optional xlibmesa-gl_4.3.0.dfsg.1-5_i386.deb
 0753f4266d1ddc58c06e5d0f669fd8d5 1203158 libdevel extra xlibmesa-gl-dbg_4.3.0.dfsg.1-5_i386.deb
 085a9efbb2df4b0e1b2ffa689a77f191 679060 libdevel optional xlibmesa-gl-dev_4.3.0.dfsg.1-5_i386.deb
 7e71a59c7d68fa28148efc7285dce0db 338250 libs optional xlibmesa-glu_4.3.0.dfsg.1-5_i386.deb
 d33d05a3da43defcf12bcc7d7b0bbf0a 1085140 libdevel extra xlibmesa-glu-dbg_4.3.0.dfsg.1-5_i386.deb
 9edfce5ef64770edbb92f404ea7102d9 408756 libdevel optional xlibmesa-glu-dev_4.3.0.dfsg.1-5_i386.deb
 58dfdca57c75d328770c7c761d0f481b 633926 libs optional xlibosmesa4_4.3.0.dfsg.1-5_i386.deb
 17874c1018d7de00f534426fe93bf16e 4555754 libdevel extra xlibosmesa4-dbg_4.3.0.dfsg.1-5_i386.deb
 fa88505c764929c661a07f749b1bc9bd 763634 libdevel optional xlibosmesa-dev_4.3.0.dfsg.1-5_i386.deb
 b08eccdeadbe063418ed6d6a6f81fe80 827244 libdevel optional xlibs-static-dev_4.3.0.dfsg.1-5_i386.deb
 232b8b3baf1e38dfba3297b31ad84e86 359286 libdevel extra xlibs-static-pic_4.3.0.dfsg.1-5_i386.deb
 3d2e5c84b7a05cff9131e41b4eb41653 201232 mail extra xmh_4.3.0.dfsg.1-5_i386.deb
 1f4b3fa56044ead0e0a7b1c7d0516799 1439886 x11 optional xnest_4.3.0.dfsg.1-5_i386.deb
 91a8837159fc210291a404c41b7c301e 1100610 x11 optional xprt_4.3.0.dfsg.1-5_i386.deb
 637b966be735031d08362ad71267b77a 307064 x11 optional xserver-common_4.3.0.dfsg.1-5_i386.deb
 f8009fef5dd859a3f24e4ac226e13009 5623844 x11 optional xserver-xfree86_4.3.0.dfsg.1-5_i386.deb
 e913aaaa04bc62f289c4a3f9be5ba2f2 53874406 x11 extra xserver-xfree86-dbg_4.3.0.dfsg.1-5_i386.deb
 7a8d248a582b67e4b758dc151442304c 648694 x11 optional xterm_4.3.0.dfsg.1-5_i386.deb
 f15be714e1fd4f9d477351c1fd086f65 867564 x11 optional xutils_4.3.0.dfsg.1-5_i386.deb
 f3ee8b8e29df0c92f80b6c9585439440 1574864 x11 optional xvfb_4.3.0.dfsg.1-5_i386.deb
 b4f2f6d8695d5270f8da6395ebb33a9b 132712 x11 optional x-window-system-core_4.3.0.dfsg.1-5_i386.deb
 81ca76701c75352dedb5a721efab1061 132764 x11 extra x-window-system-dev_4.3.0.dfsg.1-5_i386.deb
 0edc0e8c624e2c048aea1de7858551e4 132512 oldlibs optional xlibmesa3_4.3.0.dfsg.1-5_i386.deb
 69b366c7f81b8727f6a0b494a3e1f2e1 133286 libdevel optional pm-dev_4.3.0.dfsg.1-5_all.deb
 9bb0c282291d1f03c58d917f629d028e 190266 libdevel optional x-dev_4.3.0.dfsg.1-5_all.deb
 a36847ef033447b6c243d4f6e0ff7c50 4335392 x11 optional xfonts-100dpi_4.3.0.dfsg.1-5_all.deb
 0b2ca069ac276f8021b1a4ff30e779ce 8169204 x11 optional xfonts-100dpi-transcoded_4.3.0.dfsg.1-5_all.deb
 748ed9a1a96d4885fd39e3c0113f69ce 3813160 x11 optional xfonts-75dpi_4.3.0.dfsg.1-5_all.deb
 f869d4fc553ca65d2088837a896bfc45 7046112 x11 optional xfonts-75dpi-transcoded_4.3.0.dfsg.1-5_all.deb
 2f48a56058a62611037fdf95a913cf86 5479304 x11 optional xfonts-base_4.3.0.dfsg.1-5_all.deb
 9948ce0fde0e71d3e45b9fac1557ed0b 1176200 x11 optional xfonts-base-transcoded_4.3.0.dfsg.1-5_all.deb
 edc7454bd4587a86b478ebb5c1c3708f 513496 x11 optional xfonts-cyrillic_4.3.0.dfsg.1-5_all.deb
 ee563d035476287756b1293499d89dce 873288 x11 optional xfonts-scalable_4.3.0.dfsg.1-5_all.deb
 76be82ae0f1be369428e0a43eb6f53df 698346 x11 optional xfree86-common_4.3.0.dfsg.1-5_all.deb
 ffc0d2a6e7f339d237dc211d3eee89fd 393256 libs optional xlibs_4.3.0.dfsg.1-5_all.deb
 2e684d9058b230651d2be4a0184e7344 870240 libs optional xlibs-data_4.3.0.dfsg.1-5_all.deb
 dccbaaf8bee3612385935a6d9379ced4 5628154 x11 optional xspecs_4.3.0.dfsg.1-5_all.deb
 9e9b45282783c55517c4e1f91f5f8ba2 132640 x11 optional x-window-system_4.3.0.dfsg.1-5_all.deb
 4b9132294ebec024fbdc6638a176d513 132494 oldlibs extra xlibmesa3-dbg_4.3.0.dfsg.1-5_all.deb
 9e0dbd692d5e3520dbdafb9d50a1a0cd 132480 oldlibs optional xlibmesa-dev_4.3.0.dfsg.1-5_all.deb
 48f3169de23f2aebfc75e90da4822d8e 132546 oldlibs extra xlibs-dbg_4.3.0.dfsg.1-5_all.deb
 c88045467696e58ea42ed032291b97b6 132544 oldlibs extra xlibs-dev_4.3.0.dfsg.1-5_all.deb
 8aaf55ccefd7a8b8d92f8f335c46312f 132454 oldlibs extra xlibs-pic_4.3.0.dfsg.1-5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFA0Az6hCzbekR3nhgRAiTLAJ9BJJoozQHob+XXMemhv/MqLec5nQCfVHh0
JhIUwij+jNs9iUeMrwOvt7s=
=y8ir
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:43:09 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.